Bug 884254 (CVE-2013-0219) - CVE-2013-0219 sssd: TOCTOU race conditions by copying and removing directory trees
Summary: CVE-2013-0219 sssd: TOCTOU race conditions by copying and removing directory ...
Status: CLOSED ERRATA
Alias: CVE-2013-0219
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20130123,reported=2...
Keywords: Security
Depends On: 883787 903078 903145 903146 959838
Blocks: 855229 884256 952520
TreeView+ depends on / blocked
 
Reported: 2012-12-05 18:16 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:20 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-10-01 04:54:06 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 21:30:10 UTC
Red Hat Product Errata RHSA-2013:1319 normal SHIPPED_LIVE Low: sssd security and bug fix update 2013-10-01 00:31:17 UTC

Description Jan Lieskovsky 2012-12-05 18:16:35 UTC
A TOCTOU (time-of-check time-of-use) race condition was found in the way SSSD, System Security Services Daemon, performed copying and removal of (user) directory trees.A local attacker, with permissions to write into directory of the victim, being actively / currently copied / removed via the sssd daemon facility, could use this flaw to conduct symbolic link attacks, leading to their ability to alter / remove directories outside of originally intended, to be modified, directory tree.

This issue was found by Florian Weimer of Red Hat Product Security Team.

Comment 1 Jan Lieskovsky 2012-12-05 18:21:12 UTC
This issue affects the versions of the sssd package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the sssd package, as shipped with Fedora release of 16 and 17.

--

This issue affects the version of the sssd package, as shipped with Fedora EPEL 5.

Comment 2 Huzaifa S. Sidhpurwala 2013-01-23 05:22:18 UTC
This issue has been assigned CVE-2013-0219

Comment 4 Huzaifa S. Sidhpurwala 2013-01-23 10:14:20 UTC
Created sssd tracking bugs for this issue

Affects: fedora-all [bug 903145]
Affects: epel-5 [bug 903146]

Comment 5 Fedora Update System 2013-02-09 11:24:00 UTC
sssd-1.9.4-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Murray McAllister 2013-02-10 06:52:26 UTC
Acknowledgements:

This issue was discovered by Florian Weimer of the Red Hat Product Security Team.

Comment 7 Fedora Update System 2013-02-12 04:57:37 UTC
sssd-1.8.6-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 errata-xmlrpc 2013-02-21 09:42:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0508 https://rhn.redhat.com/errata/RHSA-2013-0508.html

Comment 11 errata-xmlrpc 2013-09-30 22:44:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1319 https://rhn.redhat.com/errata/RHSA-2013-1319.html

Comment 12 Huzaifa S. Sidhpurwala 2013-10-01 04:54:06 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.